• Visit Honorbuddy
  • Visit Rebornbuddy
  • Visit Demonbuddy
  • Visit Exilebuddy
  • Visit Hearthbuddy
  • Visit Pokefarmer
  • Visit Buddystore

this version of ff14 is not yet supported ??

Discussion in 'Rebornbuddy Support' started by mruae, Oct 12, 2017 at 12:11 PM.

  1. mruae

    mruae New Member

    Joined:
    Jan 15, 2010
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Dear Team

    i have problem when i try to log in and i see this message ( this version of ff14 is not yet supported )
    i download last Rebornbuddy64 1.0.173.0 ver

    and it show me same this error ..
     
    Last edited: Oct 12, 2017 at 12:40 PM

Share This Page